Package org.drinkless.tdlib

# Class TdApi.ToggleUsernameIsActive

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ToggleUsernameIsActive

Enclosing class:
  TdApi

public static class TdApi.ToggleUsernameIsActive extends TdApi.Function<TdApi.Ok>
Changes active state for a username of the current user. The editable username can't be disabled. May return an error with a message "USERNAMES_ACTIVE_TOO_MUCH" if the maximum number of active usernames has been reached.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isActive`
  Pass true to activate the username; pass false to disable it.
  `String`
  `username`
  The username to change.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToggleUsernameIsActive()`
  Default constructor for a function, which changes active state for a username of the current user.
  `ToggleUsernameIsActive(String username, boolean isActive)`
  Creates a function, which changes active state for a username of the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### username

    public String username
    The username to change.

  - ### isActive

    public boolean isActive
    Pass true to activate the username; pass false to disable it.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ToggleUsernameIsActive

    public ToggleUsernameIsActive()
    Default constructor for a function, which changes active state for a username of the current user. The editable username can't be disabled. May return an error with a message "USERNAMES_ACTIVE_TOO_MUCH" if the maximum number of active usernames has been reached.

    Returns `Ok`

  - ### ToggleUsernameIsActive

    public ToggleUsernameIsActive(String username, boolean isActive)
    Creates a function, which changes active state for a username of the current user. The editable username can't be disabled. May return an error with a message "USERNAMES_ACTIVE_TOO_MUCH" if the maximum number of active usernames has been reached.

    Returns `Ok`

    Parameters:
      `username` - The username to change.
      `isActive` - Pass true to activate the username; pass false to disable it.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR